Loading...
Searching...
No Matches
interpolate.hh File Reference
`#include <memory>`
`#include <vector>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/bitsetvector.hh>`
`#include <dune/common/referencehelper.hh>`
`#include <dune/common/typetree/traversal.hh>`
`#include <dune/functions/gridfunctions/gridviewfunction.hh>`
`#include <dune/functions/common/functionconcepts.hh>`
`#include <dune/functions/backends/concepts.hh>`
`#include <dune/functions/backends/istlvectorbackend.hh>`
`#include <dune/functions/functionspacebases/flatvectorview.hh>`
`#include <dune/functions/functionspacebases/hierarchicnodetorangemap.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class B, class C, class F, class BV, class NTRE>
void | Dune::Functions::interpolate (const B &basis, C &&coeff, const F &f, const BV &bv, const NTRE &nodeToRangeEntry)
| Interpolate given function in discrete function space.
template<class B, class C, class F, class BV>
void | Dune::Functions::interpolate (const B &basis, C &&coeff, const F &f, const BV &bitVector)
| Interpolate given function in discrete function space.
template<class B, class C, class F>
void | Dune::Functions::interpolate (const B &basis, C &&coeff, const F &f)
| Interpolate given function in discrete function space.